# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit c56332857145d1c6741d4f6c1bbc87dcc6c6ab97
    parent a1018e0e9e52f29fe220a6af85a237a1a02a732c
    Author: Aurélien Aptel <aurelien.aptel@gmail.com>
    Date:   Fri, 27 Aug 2010 13:53:27 +0200

    removed XINERAMA from config.mk and fixed a segfault when st is

    started without a display. (thx Hiltjo Posthuma)
    Diffstat:
    Mconfig.mk | 8++------
    Mst.c | 5++---

    2 files changed, 4 insertions(+), 9 deletions(-)
    diff --git a/config.mk b/config.mk
    @@ -10,16 +10,12 @@ MANPREFIX = ${PREFIX}/share/man
     X11INC = /usr/X11R6/include
     X11LIB = /usr/X11R6/lib

    -# Xinerama, comment if you don't want it
    -#XINERAMALIBS = -L${X11LIB} -lXinerama
    -#XINERAMAFLAGS = -DXINERAMA
    -
     # includes and libs
     INCS = -I. -I/usr/include -I${X11INC}
    -LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 ${XINERAMALIBS}
    +LIBS = -L/usr/lib -lc -L${X11LIB} -lX11

     # flags
    -CPPFLAGS = -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}
    +CPPFLAGS = -DVERSION=\"${VERSION}\"
     CFLAGS = -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}
     LDFLAGS = -s ${LIBS}

    diff --git a/st.c b/st.c
    @@ -1078,10 +1078,9 @@ xhints(void)

     void
     xinit(void) {
    -	xw.dis = XOpenDisplay(NULL);
    -	xw.scr = XDefaultScreen(xw.dis);
    -	if(!xw.dis)
    +	if(!(xw.dis = XOpenDisplay(NULL)))
     		die("Can't open display\n");
    +	xw.scr = XDefaultScreen(xw.dis);

     	/* font */
     	if(!(dc.font = XLoadQueryFont(xw.dis, FONT)) || !(dc.bfont = XLoadQueryFont(xw.dis, BOLDFONT)))